#include <bits/stdc++.h>
using namespace std;

int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin>>n;
    vector<int> a,b;
    bool xr = true,an = true;
    int br, mx=0;
    for(int i =0; i<n; i++){
        cin>>br;
        if(br!=1)
            xr=false;
        a.push_back(br);
    }
    for(int i =0; i<n; i++){
        cin>>br;
        if(br!=1)
            an=false;
        b.push_back(br);
    }
    if (xr){
        for(int i =0; i<n; i++){
            if(b[i]>mx)
                mx=b[i];
        }
        cout<<mx;
    }
    else if(an){
        int su = a[0];
        int kr = su;
        for (int i = 1; i < n; i++) {
            kr = max(kr ^ a[i], a[i]);
            su = max(su, kr);
        }
        cout<<su;
    }

    return 0;
}